@primary-color: #00375B;
@secondary-color: #212121;
@text-color: #000000;
@invert-text: #fff;
@text-color-secondary: #000000;
@heading-color: #000000;
@layout-body-background: @primary-color;
@btn-primary-bg: @primary-color;
@layout-header-background: @primary-color;

// This file will contain all varibales, our custom varibales and
//those from Ant Design which we want to override.
/* stylelint-disable at-rule-empty-line-before,at-rule-name-space-after,at-rule-no-unknown */
/* stylelint-disable no-duplicate-selectors */
/* stylelint-disable declaration-bang-space-before,no-duplicate-selectors */
.bezierEasingMixin() {
@functions: ~`(function() {
  var NEWTON_ITERATIONS = 4;
  var NEWTON_MIN_SLOPE = 0.001;
  var SUBDIVISION_PRECISION = 0.0000001;
  var SUBDIVISION_MAX_ITERATIONS = 10;

  var kSplineTableSize = 11;
  var kSampleStepSize = 1.0 / (kSplineTableSize - 1.0);

  var float32ArraySupported = typeof Float32Array === 'function';

  function A (aA1, aA2) { return 1.0 - 3.0 * aA2 + 3.0 * aA1; }
  function B (aA1, aA2) { return 3.0 * aA2 - 6.0 * aA1; }
  function C (aA1)      { return 3.0 * aA1; }

  // Returns x(t) given t, x1, and x2, or y(t) given t, y1, and y2.
  function calcBezier (aT, aA1, aA2) { return ((A(aA1, aA2) * aT + B(aA1, aA2)) * aT + C(aA1)) * aT; }

  // Returns dx/dt given t, x1, and x2, or dy/dt given t, y1, and y2.
  function getSlope (aT, aA1, aA2) { return 3.0 * A(aA1, aA2) * aT * aT + 2.0 * B(aA1, aA2) * aT + C(aA1); }

  function binarySubdivide (aX, aA, aB, mX1, mX2) {
    var currentX, currentT, i = 0;
    do {
      currentT = aA + (aB - aA) / 2.0;
      currentX = calcBezier(currentT, mX1, mX2) - aX;
      if (currentX > 0.0) {
        aB = currentT;
      } else {
        aA = currentT;
      }
    } while (Math.abs(currentX) > SUBDIVISION_PRECISION && ++i < SUBDIVISION_MAX_ITERATIONS);
    return currentT;
  }

  function newtonRaphsonIterate (aX, aGuessT, mX1, mX2) {
   for (var i = 0; i < NEWTON_ITERATIONS; ++i) {
     var currentSlope = getSlope(aGuessT, mX1, mX2);
     if (currentSlope === 0.0) {
       return aGuessT;
     }
     var currentX = calcBezier(aGuessT, mX1, mX2) - aX;
     aGuessT -= currentX / currentSlope;
   }
   return aGuessT;
  }

  var BezierEasing = function (mX1, mY1, mX2, mY2) {
    if (!(0 <= mX1 && mX1 <= 1 && 0 <= mX2 && mX2 <= 1)) {
      throw new Error('bezier x values must be in [0, 1] range');
    }

    // Precompute samples table
    var sampleValues = float32ArraySupported ? new Float32Array(kSplineTableSize) : new Array(kSplineTableSize);
    if (mX1 !== mY1 || mX2 !== mY2) {
      for (var i = 0; i < kSplineTableSize; ++i) {
        sampleValues[i] = calcBezier(i * kSampleStepSize, mX1, mX2);
      }
    }

    function getTForX (aX) {
      var intervalStart = 0.0;
      var currentSample = 1;
      var lastSample = kSplineTableSize - 1;

      for (; currentSample !== lastSample && sampleValues[currentSample] <= aX; ++currentSample) {
        intervalStart += kSampleStepSize;
      }
      --currentSample;

      // Interpolate to provide an initial guess for t
      var dist = (aX - sampleValues[currentSample]) / (sampleValues[currentSample + 1] - sampleValues[currentSample]);
      var guessForT = intervalStart + dist * kSampleStepSize;

      var initialSlope = getSlope(guessForT, mX1, mX2);
      if (initialSlope >= NEWTON_MIN_SLOPE) {
        return newtonRaphsonIterate(aX, guessForT, mX1, mX2);
      } else if (initialSlope === 0.0) {
        return guessForT;
      } else {
        return binarySubdivide(aX, intervalStart, intervalStart + kSampleStepSize, mX1, mX2);
      }
    }

    return function BezierEasing (x) {
      if (mX1 === mY1 && mX2 === mY2) {
        return x; // linear
      }
      // Because JavaScript number are imprecise, we should guarantee the extremes are right.
      if (x === 0) {
        return 0;
      }
      if (x === 1) {
        return 1;
      }
      return calcBezier(getTForX(x), mY1, mY2);
    };
  };

  this.colorEasing = BezierEasing(0.26, 0.09, 0.37, 0.18);
  // less 3 requires a return
  return '';
})()`;
}
// It is hacky way to make this function will be compiled preferentially by less
// resolve error: `ReferenceError: colorPalette is not defined`
// https://github.com/ant-design/ant-motion/issues/44
.bezierEasingMixin();

/* stylelint-disable declaration-bang-space-before,no-duplicate-selectors,string-no-newline */
.tinyColorMixin() {
@functions: ~`(function() {
// TinyColor v1.4.1
// https://github.com/bgrins/TinyColor
// 2016-07-07, Brian Grinstead, MIT License
var trimLeft = /^\s+/,
    trimRight = /\s+$/,
    tinyCounter = 0,
    mathRound = Math.round,
    mathMin = Math.min,
    mathMax = Math.max,
    mathRandom = Math.random;

function tinycolor (color, opts) {

    color = (color) ? color : '';
    opts = opts || { };

    // If input is already a tinycolor, return itself
    if (color instanceof tinycolor) {
       return color;
    }
    // If we are called as a function, call using new instead
    if (!(this instanceof tinycolor)) {
        return new tinycolor(color, opts);
    }

    var rgb = inputToRGB(color);
    this._originalInput = color,
    this._r = rgb.r,
    this._g = rgb.g,
    this._b = rgb.b,
    this._a = rgb.a,
    this._roundA = mathRound(100*this._a) / 100,
    this._format = opts.format || rgb.format;
    this._gradientType = opts.gradientType;

    // Don't let the range of [0,255] come back in [0,1].
    // Potentially lose a little bit of precision here, but will fix issues where
    // .5 gets interpreted as half of the total, instead of half of 1
    // If it was supposed to be 128, this was already taken care of by inputToRgb
    if (this._r < 1) { this._r = mathRound(this._r); }
    if (this._g < 1) { this._g = mathRound(this._g); }
    if (this._b < 1) { this._b = mathRound(this._b); }

    this._ok = rgb.ok;
    this._tc_id = tinyCounter++;
}

tinycolor.prototype = {
    isDark: function() {
        return this.getBrightness() < 128;
    },
    isLight: function() {
        return !this.isDark();
    },
    isValid: function() {
        return this._ok;
    },
    getOriginalInput: function() {
      return this._originalInput;
    },
    getFormat: function() {
        return this._format;
    },
    getAlpha: function() {
        return this._a;
    },
    getBrightness: function() {
        //http://www.w3.org/TR/AERT#color-contrast
        var rgb = this.toRgb();
        return (rgb.r * 299 + rgb.g * 587 + rgb.b * 114) / 1000;
    },
    getLuminance: function() {
        //http://www.w3.org/TR/2008/REC-WCAG20-20081211/#relativeluminancedef
        var rgb = this.toRgb();
        var RsRGB, GsRGB, BsRGB, R, G, B;
        RsRGB = rgb.r/255;
        GsRGB = rgb.g/255;
        BsRGB = rgb.b/255;

        if (RsRGB <= 0.03928) {R = RsRGB / 12.92;} else {R = Math.pow(((RsRGB + 0.055) / 1.055), 2.4);}
        if (GsRGB <= 0.03928) {G = GsRGB / 12.92;} else {G = Math.pow(((GsRGB + 0.055) / 1.055), 2.4);}
        if (BsRGB <= 0.03928) {B = BsRGB / 12.92;} else {B = Math.pow(((BsRGB + 0.055) / 1.055), 2.4);}
        return (0.2126 * R) + (0.7152 * G) + (0.0722 * B);
    },
    setAlpha: function(value) {
        this._a = boundAlpha(value);
        this._roundA = mathRound(100*this._a) / 100;
        return this;
    },
    toHsv: function() {
        var hsv = rgbToHsv(this._r, this._g, this._b);
        return { h: hsv.h * 360, s: hsv.s, v: hsv.v, a: this._a };
    },
    toHsvString: function() {
        var hsv = rgbToHsv(this._r, this._g, this._b);
        var h = mathRound(hsv.h * 360), s = mathRound(hsv.s * 100), v = mathRound(hsv.v * 100);
        return (this._a == 1) ?
          "hsv("  + h + ", " + s + "%, " + v + "%)" :
          "hsva(" + h + ", " + s + "%, " + v + "%, "+ this._roundA + ")";
    },
    toHsl: function() {
        var hsl = rgbToHsl(this._r, this._g, this._b);
        return { h: hsl.h * 360, s: hsl.s, l: hsl.l, a: this._a };
    },
    toHslString: function() {
        var hsl = rgbToHsl(this._r, this._g, this._b);
        var h = mathRound(hsl.h * 360), s = mathRound(hsl.s * 100), l = mathRound(hsl.l * 100);
        return (this._a == 1) ?
          "hsl("  + h + ", " + s + "%, " + l + "%)" :
          "hsla(" + h + ", " + s + "%, " + l + "%, "+ this._roundA + ")";
    },
    toHex: function(allow3Char) {
        return rgbToHex(this._r, this._g, this._b, allow3Char);
    },
    toHexString: function(allow3Char) {
        return '#' + this.toHex(allow3Char);
    },
    toHex8: function(allow4Char) {
        return rgbaToHex(this._r, this._g, this._b, this._a, allow4Char);
    },
    toHex8String: function(allow4Char) {
        return '#' + this.toHex8(allow4Char);
    },
    toRgb: function() {
        return { r: mathRound(this._r), g: mathRound(this._g), b: mathRound(this._b), a: this._a };
    },
    toRgbString: function() {
        return (this._a == 1) ?
          "rgb("  + mathRound(this._r) + ", " + mathRound(this._g) + ", " + mathRound(this._b) + ")" :
          "rgba(" + mathRound(this._r) + ", " + mathRound(this._g) + ", " + mathRound(this._b) + ", " + this._roundA + ")";
    },
    toPercentageRgb: function() {
        return { r: mathRound(bound01(this._r, 255) * 100) + "%", g: mathRound(bound01(this._g, 255) * 100) + "%", b: mathRound(bound01(this._b, 255) * 100) + "%", a: this._a };
    },
    toPercentageRgbString: function() {
        return (this._a == 1) ?
          "rgb("  + mathRound(bound01(this._r, 255) * 100) + "%, " + mathRound(bound01(this._g, 255) * 100) + "%, " + mathRound(bound01(this._b, 255) * 100) + "%)" :
          "rgba(" + mathRound(bound01(this._r, 255) * 100) + "%, " + mathRound(bound01(this._g, 255) * 100) + "%, " + mathRound(bound01(this._b, 255) * 100) + "%, " + this._roundA + ")";
    },
    toName: function() {
        if (this._a === 0) {
            return "transparent";
        }

        if (this._a < 1) {
            return false;
        }

        return hexNames[rgbToHex(this._r, this._g, this._b, true)] || false;
    },
    toFilter: function(secondColor) {
        var hex8String = '#' + rgbaToArgbHex(this._r, this._g, this._b, this._a);
        var secondHex8String = hex8String;
        var gradientType = this._gradientType ? "GradientType = 1, " : "";

        if (secondColor) {
            var s = tinycolor(secondColor);
            secondHex8String = '#' + rgbaToArgbHex(s._r, s._g, s._b, s._a);
        }

        return "progid:DXImageTransform.Microsoft.gradient("+gradientType+"startColorstr="+hex8String+",endColorstr="+secondHex8String+")";
    },
    toString: function(format) {
        var formatSet = !!format;
        format = format || this._format;

        var formattedString = false;
        var hasAlpha = this._a < 1 && this._a >= 0;
        var needsAlphaFormat = !formatSet && hasAlpha && (format === "hex" || format === "hex6" || format === "hex3" || format === "hex4" || format === "hex8" || format === "name");

        if (needsAlphaFormat) {
            // Special case for "transparent", all other non-alpha formats
            // will return rgba when there is transparency.
            if (format === "name" && this._a === 0) {
                return this.toName();
            }
            return this.toRgbString();
        }
        if (format === "rgb") {
            formattedString = this.toRgbString();
        }
        if (format === "prgb") {
            formattedString = this.toPercentageRgbString();
        }
        if (format === "hex" || format === "hex6") {
            formattedString = this.toHexString();
        }
        if (format === "hex3") {
            formattedString = this.toHexString(true);
        }
        if (format === "hex4") {
            formattedString = this.toHex8String(true);
        }
        if (format === "hex8") {
            formattedString = this.toHex8String();
        }
        if (format === "name") {
            formattedString = this.toName();
        }
        if (format === "hsl") {
            formattedString = this.toHslString();
        }
        if (format === "hsv") {
            formattedString = this.toHsvString();
        }

        return formattedString || this.toHexString();
    },
    clone: function() {
        return tinycolor(this.toString());
    },

    _applyModification: function(fn, args) {
        var color = fn.apply(null, [this].concat([].slice.call(args)));
        this._r = color._r;
        this._g = color._g;
        this._b = color._b;
        this.setAlpha(color._a);
        return this;
    },
    lighten: function() {
        return this._applyModification(lighten, arguments);
    },
    brighten: function() {
        return this._applyModification(brighten, arguments);
    },
    darken: function() {
        return this._applyModification(darken, arguments);
    },
    desaturate: function() {
        return this._applyModification(desaturate, arguments);
    },
    saturate: function() {
        return this._applyModification(saturate, arguments);
    },
    greyscale: function() {
        return this._applyModification(greyscale, arguments);
    },
    spin: function() {
        return this._applyModification(spin, arguments);
    },

    _applyCombination: function(fn, args) {
        return fn.apply(null, [this].concat([].slice.call(args)));
    },
    analogous: function() {
        return this._applyCombination(analogous, arguments);
    },
    complement: function() {
        return this._applyCombination(complement, arguments);
    },
    monochromatic: function() {
        return this._applyCombination(monochromatic, arguments);
    },
    splitcomplement: function() {
        return this._applyCombination(splitcomplement, arguments);
    },
    triad: function() {
        return this._applyCombination(triad, arguments);
    },
    tetrad: function() {
        return this._applyCombination(tetrad, arguments);
    }
};

// If input is an object, force 1 into "1.0" to handle ratios properly
// String input requires "1.0" as input, so 1 will be treated as 1
tinycolor.fromRatio = function(color, opts) {
    if (typeof color == "object") {
        var newColor = {};
        for (var i in color) {
            if (color.hasOwnProperty(i)) {
                if (i === "a") {
                    newColor[i] = color[i];
                }
                else {
                    newColor[i] = convertToPercentage(color[i]);
                }
            }
        }
        color = newColor;
    }

    return tinycolor(color, opts);
};

// Given a string or object, convert that input to RGB
// Possible string inputs:
//
//     "red"
//     "#f00" or "f00"
//     "#ff0000" or "ff0000"
//     "#ff000000" or "ff000000"
//     "rgb 255 0 0" or "rgb (255, 0, 0)"
//     "rgb 1.0 0 0" or "rgb (1, 0, 0)"
//     "rgba (255, 0, 0, 1)" or "rgba 255, 0, 0, 1"
//     "rgba (1.0, 0, 0, 1)" or "rgba 1.0, 0, 0, 1"
//     "hsl(0, 100%, 50%)" or "hsl 0 100% 50%"
//     "hsla(0, 100%, 50%, 1)" or "hsla 0 100% 50%, 1"
//     "hsv(0, 100%, 100%)" or "hsv 0 100% 100%"
//
function inputToRGB(color) {

    var rgb = { r: 0, g: 0, b: 0 };
    var a = 1;
    var s = null;
    var v = null;
    var l = null;
    var ok = false;
    var format = false;

    if (typeof color == "string") {
        color = stringInputToObject(color);
    }

    if (typeof color == "object") {
        if (isValidCSSUnit(color.r) && isValidCSSUnit(color.g) && isValidCSSUnit(color.b)) {
            rgb = rgbToRgb(color.r, color.g, color.b);
            ok = true;
            format = String(color.r).substr(-1) === "%" ? "prgb" : "rgb";
        }
        else if (isValidCSSUnit(color.h) && isValidCSSUnit(color.s) && isValidCSSUnit(color.v)) {
            s = convertToPercentage(color.s);
            v = convertToPercentage(color.v);
            rgb = hsvToRgb(color.h, s, v);
            ok = true;
            format = "hsv";
        }
        else if (isValidCSSUnit(color.h) && isValidCSSUnit(color.s) && isValidCSSUnit(color.l)) {
            s = convertToPercentage(color.s);
            l = convertToPercentage(color.l);
            rgb = hslToRgb(color.h, s, l);
            ok = true;
            format = "hsl";
        }

        if (color.hasOwnProperty("a")) {
            a = color.a;
        }
    }

    a = boundAlpha(a);

    return {
        ok: ok,
        format: color.format || format,
        r: mathMin(255, mathMax(rgb.r, 0)),
        g: mathMin(255, mathMax(rgb.g, 0)),
        b: mathMin(255, mathMax(rgb.b, 0)),
        a: a
    };
}

// Conversion Functions
// --------------------

// rgbToHsl, rgbToHsv, hslToRgb, hsvToRgb modified from:
// <http://mjijackson.com/2008/02/rgb-to-hsl-and-rgb-to-hsv-color-model-conversion-algorithms-in-javascript>

// rgbToRgb
// Handle bounds / percentage checking to conform to CSS color spec
// <http://www.w3.org/TR/css3-color/>
// *Assumes:* r, g, b in [0, 255] or [0, 1]
// *Returns:* { r, g, b } in [0, 255]
function rgbToRgb(r, g, b){
    return {
        r: bound01(r, 255) * 255,
        g: bound01(g, 255) * 255,
        b: bound01(b, 255) * 255
    };
}

// rgbToHsl
// Converts an RGB color value to HSL.
// *Assumes:* r, g, and b are contained in [0, 255] or [0, 1]
// *Returns:* { h, s, l } in [0,1]
function rgbToHsl(r, g, b) {

    r = bound01(r, 255);
    g = bound01(g, 255);
    b = bound01(b, 255);

    var max = mathMax(r, g, b), min = mathMin(r, g, b);
    var h, s, l = (max + min) / 2;

    if(max == min) {
        h = s = 0; // achromatic
    }
    else {
        var d = max - min;
        s = l > 0.5 ? d / (2 - max - min) : d / (max + min);
        switch(max) {
            case r: h = (g - b) / d + (g < b ? 6 : 0); break;
            case g: h = (b - r) / d + 2; break;
            case b: h = (r - g) / d + 4; break;
        }

        h /= 6;
    }

    return { h: h, s: s, l: l };
}

// hslToRgb
// Converts an HSL color value to RGB.
// *Assumes:* h is contained in [0, 1] or [0, 360] and s and l are contained [0, 1] or [0, 100]
// *Returns:* { r, g, b } in the set [0, 255]
function hslToRgb(h, s, l) {
    var r, g, b;

    h = bound01(h, 360);
    s = bound01(s, 100);
    l = bound01(l, 100);

    function hue2rgb(p, q, t) {
        if(t < 0) t += 1;
        if(t > 1) t -= 1;
        if(t < 1/6) return p + (q - p) * 6 * t;
        if(t < 1/2) return q;
        if(t < 2/3) return p + (q - p) * (2/3 - t) * 6;
        return p;
    }

    if(s === 0) {
        r = g = b = l; // achromatic
    }
    else {
        var q = l < 0.5 ? l * (1 + s) : l + s - l * s;
        var p = 2 * l - q;
        r = hue2rgb(p, q, h + 1/3);
        g = hue2rgb(p, q, h);
        b = hue2rgb(p, q, h - 1/3);
    }

    return { r: r * 255, g: g * 255, b: b * 255 };
}

// rgbToHsv
// Converts an RGB color value to HSV
// *Assumes:* r, g, and b are contained in the set [0, 255] or [0, 1]
// *Returns:* { h, s, v } in [0,1]
function rgbToHsv(r, g, b) {

    r = bound01(r, 255);
    g = bound01(g, 255);
    b = bound01(b, 255);

    var max = mathMax(r, g, b), min = mathMin(r, g, b);
    var h, s, v = max;

    var d = max - min;
    s = max === 0 ? 0 : d / max;

    if(max == min) {
        h = 0; // achromatic
    }
    else {
        switch(max) {
            case r: h = (g - b) / d + (g < b ? 6 : 0); break;
            case g: h = (b - r) / d + 2; break;
            case b: h = (r - g) / d + 4; break;
        }
        h /= 6;
    }
    return { h: h, s: s, v: v };
}

// hsvToRgb
// Converts an HSV color value to RGB.
// *Assumes:* h is contained in [0, 1] or [0, 360] and s and v are contained in [0, 1] or [0, 100]
// *Returns:* { r, g, b } in the set [0, 255]
 function hsvToRgb(h, s, v) {

    h = bound01(h, 360) * 6;
    s = bound01(s, 100);
    v = bound01(v, 100);

    var i = Math.floor(h),
        f = h - i,
        p = v * (1 - s),
        q = v * (1 - f * s),
        t = v * (1 - (1 - f) * s),
        mod = i % 6,
        r = [v, q, p, p, t, v][mod],
        g = [t, v, v, q, p, p][mod],
        b = [p, p, t, v, v, q][mod];

    return { r: r * 255, g: g * 255, b: b * 255 };
}

// rgbToHex
// Converts an RGB color to hex
// Assumes r, g, and b are contained in the set [0, 255]
// Returns a 3 or 6 character hex
function rgbToHex(r, g, b, allow3Char) {

    var hex = [
        pad2(mathRound(r).toString(16)),
        pad2(mathRound(g).toString(16)),
        pad2(mathRound(b).toString(16))
    ];

    // Return a 3 character hex if possible
    if (allow3Char && hex[0].charAt(0) == hex[0].charAt(1) && hex[1].charAt(0) == hex[1].charAt(1) && hex[2].charAt(0) == hex[2].charAt(1)) {
        return hex[0].charAt(0) + hex[1].charAt(0) + hex[2].charAt(0);
    }

    return hex.join("");
}

// rgbaToHex
// Converts an RGBA color plus alpha transparency to hex
// Assumes r, g, b are contained in the set [0, 255] and
// a in [0, 1]. Returns a 4 or 8 character rgba hex
function rgbaToHex(r, g, b, a, allow4Char) {

    var hex = [
        pad2(mathRound(r).toString(16)),
        pad2(mathRound(g).toString(16)),
        pad2(mathRound(b).toString(16)),
        pad2(convertDecimalToHex(a))
    ];

    // Return a 4 character hex if possible
    if (allow4Char && hex[0].charAt(0) == hex[0].charAt(1) && hex[1].charAt(0) == hex[1].charAt(1) && hex[2].charAt(0) == hex[2].charAt(1) && hex[3].charAt(0) == hex[3].charAt(1)) {
        return hex[0].charAt(0) + hex[1].charAt(0) + hex[2].charAt(0) + hex[3].charAt(0);
    }

    return hex.join("");
}

// rgbaToArgbHex
// Converts an RGBA color to an ARGB Hex8 string
// Rarely used, but required for "toFilter()"
function rgbaToArgbHex(r, g, b, a) {

    var hex = [
        pad2(convertDecimalToHex(a)),
        pad2(mathRound(r).toString(16)),
        pad2(mathRound(g).toString(16)),
        pad2(mathRound(b).toString(16))
    ];

    return hex.join("");
}

// equals
// Can be called with any tinycolor input
tinycolor.equals = function (color1, color2) {
    if (!color1 || !color2) { return false; }
    return tinycolor(color1).toRgbString() == tinycolor(color2).toRgbString();
};

tinycolor.random = function() {
    return tinycolor.fromRatio({
        r: mathRandom(),
        g: mathRandom(),
        b: mathRandom()
    });
};

// Modification Functions
// ----------------------
// Thanks to less.js for some of the basics here
// <https://github.com/cloudhead/less.js/blob/master/lib/less/functions.js>

function desaturate(color, amount) {
    amount = (amount === 0) ? 0 : (amount || 10);
    var hsl = tinycolor(color).toHsl();
    hsl.s -= amount / 100;
    hsl.s = clamp01(hsl.s);
    return tinycolor(hsl);
}

function saturate(color, amount) {
    amount = (amount === 0) ? 0 : (amount || 10);
    var hsl = tinycolor(color).toHsl();
    hsl.s += amount / 100;
    hsl.s = clamp01(hsl.s);
    return tinycolor(hsl);
}

function greyscale(color) {
    return tinycolor(color).desaturate(100);
}

function lighten (color, amount) {
    amount = (amount === 0) ? 0 : (amount || 10);
    var hsl = tinycolor(color).toHsl();
    hsl.l += amount / 100;
    hsl.l = clamp01(hsl.l);
    return tinycolor(hsl);
}

function brighten(color, amount) {
    amount = (amount === 0) ? 0 : (amount || 10);
    var rgb = tinycolor(color).toRgb();
    rgb.r = mathMax(0, mathMin(255, rgb.r - mathRound(255 * - (amount / 100))));
    rgb.g = mathMax(0, mathMin(255, rgb.g - mathRound(255 * - (amount / 100))));
    rgb.b = mathMax(0, mathMin(255, rgb.b - mathRound(255 * - (amount / 100))));
    return tinycolor(rgb);
}

function darken (color, amount) {
    amount = (amount === 0) ? 0 : (amount || 10);
    var hsl = tinycolor(color).toHsl();
    hsl.l -= amount / 100;
    hsl.l = clamp01(hsl.l);
    return tinycolor(hsl);
}

// Spin takes a positive or negative amount within [-360, 360] indicating the change of hue.
// Values outside of this range will be wrapped into this range.
function spin(color, amount) {
    var hsl = tinycolor(color).toHsl();
    var hue = (hsl.h + amount) % 360;
    hsl.h = hue < 0 ? 360 + hue : hue;
    return tinycolor(hsl);
}

// Combination Functions
// ---------------------
// Thanks to jQuery xColor for some of the ideas behind these
// <https://github.com/infusion/jQuery-xcolor/blob/master/jquery.xcolor.js>

function complement(color) {
    var hsl = tinycolor(color).toHsl();
    hsl.h = (hsl.h + 180) % 360;
    return tinycolor(hsl);
}

function triad(color) {
    var hsl = tinycolor(color).toHsl();
    var h = hsl.h;
    return [
        tinycolor(color),
        tinycolor({ h: (h + 120) % 360, s: hsl.s, l: hsl.l }),
        tinycolor({ h: (h + 240) % 360, s: hsl.s, l: hsl.l })
    ];
}

function tetrad(color) {
    var hsl = tinycolor(color).toHsl();
    var h = hsl.h;
    return [
        tinycolor(color),
        tinycolor({ h: (h + 90) % 360, s: hsl.s, l: hsl.l }),
        tinycolor({ h: (h + 180) % 360, s: hsl.s, l: hsl.l }),
        tinycolor({ h: (h + 270) % 360, s: hsl.s, l: hsl.l })
    ];
}

function splitcomplement(color) {
    var hsl = tinycolor(color).toHsl();
    var h = hsl.h;
    return [
        tinycolor(color),
        tinycolor({ h: (h + 72) % 360, s: hsl.s, l: hsl.l}),
        tinycolor({ h: (h + 216) % 360, s: hsl.s, l: hsl.l})
    ];
}

function analogous(color, results, slices) {
    results = results || 6;
    slices = slices || 30;

    var hsl = tinycolor(color).toHsl();
    var part = 360 / slices;
    var ret = [tinycolor(color)];

    for (hsl.h = ((hsl.h - (part * results >> 1)) + 720) % 360; --results; ) {
        hsl.h = (hsl.h + part) % 360;
        ret.push(tinycolor(hsl));
    }
    return ret;
}

function monochromatic(color, results) {
    results = results || 6;
    var hsv = tinycolor(color).toHsv();
    var h = hsv.h, s = hsv.s, v = hsv.v;
    var ret = [];
    var modification = 1 / results;

    while (results--) {
        ret.push(tinycolor({ h: h, s: s, v: v}));
        v = (v + modification) % 1;
    }

    return ret;
}

// Utility Functions
// ---------------------

tinycolor.mix = function(color1, color2, amount) {
    amount = (amount === 0) ? 0 : (amount || 50);

    var rgb1 = tinycolor(color1).toRgb();
    var rgb2 = tinycolor(color2).toRgb();

    var p = amount / 100;

    var rgba = {
        r: ((rgb2.r - rgb1.r) * p) + rgb1.r,
        g: ((rgb2.g - rgb1.g) * p) + rgb1.g,
        b: ((rgb2.b - rgb1.b) * p) + rgb1.b,
        a: ((rgb2.a - rgb1.a) * p) + rgb1.a
    };

    return tinycolor(rgba);
};

// Readability Functions
// ---------------------
// <http://www.w3.org/TR/2008/REC-WCAG20-20081211/#contrast-ratiodef (WCAG Version 2)

// contrast
// Analyze the 2 colors and returns the color contrast defined by (WCAG Version 2)
tinycolor.readability = function(color1, color2) {
    var c1 = tinycolor(color1);
    var c2 = tinycolor(color2);
    return (Math.max(c1.getLuminance(),c2.getLuminance())+0.05) / (Math.min(c1.getLuminance(),c2.getLuminance())+0.05);
};

// isReadable
// Ensure that foreground and background color combinations meet WCAG2 guidelines.
// The third argument is an optional Object.
//      the 'level' property states 'AA' or 'AAA' - if missing or invalid, it defaults to 'AA';
//      the 'size' property states 'large' or 'small' - if missing or invalid, it defaults to 'small'.
// If the entire object is absent, isReadable defaults to {level:"AA",size:"small"}.

// *Example*
//    tinycolor.isReadable("#000", "#111") => false
//    tinycolor.isReadable("#000", "#111" {level:"AA",size:"large"}) => false
tinycolor.isReadable = function(color1, color2, wcag2) {
    var readability = tinycolor.readability(color1, color2);
    var wcag2Parms, out;

    out = false;

    wcag2Parms = validateWCAG2Parms(wcag2);
    switch (wcag2Parms.level + wcag2Parms.size) {
        case "AAsmall":
        case "AAAlarge":
            out = readability >= 4.5;
            break;
        case "AAlarge":
            out = readability >= 3;
            break;
        case "AAAsmall":
            out = readability >= 7;
            break;
    }
    return out;

};

// mostReadable
// Given a base color and a list of possible foreground or background
// colors for that base, returns the most readable color.
// Optionally returns Black or White if the most readable color is unreadable.
// *Example*
//    tinycolor.mostReadable(tinycolor.mostReadable("#123", ["#124", "#125"] {includeFallbackColors:false}).toHexString(); // "#112255"
//    tinycolor.mostReadable(tinycolor.mostReadable("#123", ["#124", "#125"] {includeFallbackColors:true}).toHexString();  // "#ffffff"
//    tinycolor.mostReadable("#a8015a", ["#faf3f3"] {includeFallbackColors:true,level:"AAA",size:"large"}).toHexString(); // "#faf3f3"
//    tinycolor.mostReadable("#a8015a", ["#faf3f3"] {includeFallbackColors:true,level:"AAA",size:"small"}).toHexString(); // "#ffffff"
tinycolor.mostReadable = function(baseColor, colorList, args) {
    var bestColor = null;
    var bestScore = 0;
    var readability;
    var includeFallbackColors, level, size ;
    args = args || {};
    includeFallbackColors = args.includeFallbackColors ;
    level = args.level;
    size = args.size;

    for (var i= 0; i < colorList.length ; i++) {
        readability = tinycolor.readability(baseColor, colorList[i]);
        if (readability > bestScore) {
            bestScore = readability;
            bestColor = tinycolor(colorList[i]);
        }
    }

    if (tinycolor.isReadable(baseColor, bestColor, {"level":level,"size":size}) || !includeFallbackColors) {
        return bestColor;
    }
    else {
        args.includeFallbackColors=false;
        return tinycolor.mostReadable(baseColor,["#fff", "#000"],args);
    }
};

// Big List of Colors
// ------------------
// <http://www.w3.org/TR/css3-color/#svg-color>
var names = tinycolor.names = {
    aliceblue: "f0f8ff",
    antiquewhite: "faebd7",
    aqua: "0ff",
    aquamarine: "7fffd4",
    azure: "f0ffff",
    beige: "f5f5dc",
    bisque: "ffe4c4",
    black: "000",
    blanchedalmond: "ffebcd",
    blue: "00f",
    blueviolet: "8a2be2",
    brown: "a52a2a",
    burlywood: "deb887",
    burntsienna: "ea7e5d",
    cadetblue: "5f9ea0",
    chartreuse: "7fff00",
    chocolate: "d2691e",
    coral: "ff7f50",
    cornflowerblue: "6495ed",
    cornsilk: "fff8dc",
    crimson: "dc143c",
    cyan: "0ff",
    darkblue: "00008b",
    darkcyan: "008b8b",
    darkgoldenrod: "b8860b",
    darkgray: "a9a9a9",
    darkgreen: "006400",
    darkgrey: "a9a9a9",
    darkkhaki: "bdb76b",
    darkmagenta: "8b008b",
    darkolivegreen: "556b2f",
    darkorange: "ff8c00",
    darkorchid: "9932cc",
    darkred: "8b0000",
    darksalmon: "e9967a",
    darkseagreen: "8fbc8f",
    darkslateblue: "483d8b",
    darkslategray: "2f4f4f",
    darkslategrey: "2f4f4f",
    darkturquoise: "00ced1",
    darkviolet: "9400d3",
    deeppink: "ff1493",
    deepskyblue: "00bfff",
    dimgray: "696969",
    dimgrey: "696969",
    dodgerblue: "1e90ff",
    firebrick: "b22222",
    floralwhite: "fffaf0",
    forestgreen: "228b22",
    fuchsia: "f0f",
    gainsboro: "dcdcdc",
    ghostwhite: "f8f8ff",
    gold: "ffd700",
    goldenrod: "daa520",
    gray: "808080",
    green: "008000",
    greenyellow: "adff2f",
    grey: "808080",
    honeydew: "f0fff0",
    hotpink: "ff69b4",
    indianred: "cd5c5c",
    indigo: "4b0082",
    ivory: "fffff0",
    khaki: "f0e68c",
    lavender: "e6e6fa",
    lavenderblush: "fff0f5",
    lawngreen: "7cfc00",
    lemonchiffon: "fffacd",
    lightblue: "add8e6",
    lightcoral: "f08080",
    lightcyan: "e0ffff",
    lightgoldenrodyellow: "fafad2",
    lightgray: "d3d3d3",
    lightgreen: "90ee90",
    lightgrey: "d3d3d3",
    lightpink: "ffb6c1",
    lightsalmon: "ffa07a",
    lightseagreen: "20b2aa",
    lightskyblue: "87cefa",
    lightslategray: "789",
    lightslategrey: "789",
    lightsteelblue: "b0c4de",
    lightyellow: "ffffe0",
    lime: "0f0",
    limegreen: "32cd32",
    linen: "faf0e6",
    magenta: "f0f",
    maroon: "800000",
    mediumaquamarine: "66cdaa",
    mediumblue: "0000cd",
    mediumorchid: "ba55d3",
    mediumpurple: "9370db",
    mediumseagreen: "3cb371",
    mediumslateblue: "7b68ee",
    mediumspringgreen: "00fa9a",
    mediumturquoise: "48d1cc",
    mediumvioletred: "c71585",
    midnightblue: "191970",
    mintcream: "f5fffa",
    mistyrose: "ffe4e1",
    moccasin: "ffe4b5",
    navajowhite: "ffdead",
    navy: "000080",
    oldlace: "fdf5e6",
    olive: "808000",
    olivedrab: "6b8e23",
    orange: "ffa500",
    orangered: "ff4500",
    orchid: "da70d6",
    palegoldenrod: "eee8aa",
    palegreen: "98fb98",
    paleturquoise: "afeeee",
    palevioletred: "db7093",
    papayawhip: "ffefd5",
    peachpuff: "ffdab9",
    peru: "cd853f",
    pink: "ffc0cb",
    plum: "dda0dd",
    powderblue: "b0e0e6",
    purple: "800080",
    rebeccapurple: "663399",
    red: "f00",
    rosybrown: "bc8f8f",
    royalblue: "4169e1",
    saddlebrown: "8b4513",
    salmon: "fa8072",
    sandybrown: "f4a460",
    seagreen: "2e8b57",
    seashell: "fff5ee",
    sienna: "a0522d",
    silver: "c0c0c0",
    skyblue: "87ceeb",
    slateblue: "6a5acd",
    slategray: "708090",
    slategrey: "708090",
    snow: "fffafa",
    springgreen: "00ff7f",
    steelblue: "4682b4",
    tan: "d2b48c",
    teal: "008080",
    thistle: "d8bfd8",
    tomato: "ff6347",
    turquoise: "40e0d0",
    violet: "ee82ee",
    wheat: "f5deb3",
    white: "fff",
    whitesmoke: "f5f5f5",
    yellow: "ff0",
    yellowgreen: "9acd32"
};

// Make it easy to access colors via hexNames[hex]
var hexNames = tinycolor.hexNames = flip(names);

// Utilities
// ---------

// { 'name1': 'val1' } becomes { 'val1': 'name1' }
function flip(o) {
    var flipped = { };
    for (var i in o) {
        if (o.hasOwnProperty(i)) {
            flipped[o[i]] = i;
        }
    }
    return flipped;
}

// Return a valid alpha value [0,1] with all invalid values being set to 1
function boundAlpha(a) {
    a = parseFloat(a);

    if (isNaN(a) || a < 0 || a > 1) {
        a = 1;
    }

    return a;
}

// Take input from [0, n] and return it as [0, 1]
function bound01(n, max) {
    if (isOnePointZero(n)) { n = "100%"; }

    var processPercent = isPercentage(n);
    n = mathMin(max, mathMax(0, parseFloat(n)));

    // Automatically convert percentage into number
    if (processPercent) {
        n = parseInt(n * max, 10) / 100;
    }

    // Handle floating point rounding errors
    if ((Math.abs(n - max) < 0.000001)) {
        return 1;
    }

    // Convert into [0, 1] range if it isn't already
    return (n % max) / parseFloat(max);
}

// Force a number between 0 and 1
function clamp01(val) {
    return mathMin(1, mathMax(0, val));
}

// Parse a base-16 hex value into a base-10 integer
function parseIntFromHex(val) {
    return parseInt(val, 16);
}

// Need to handle 1.0 as 100%, since once it is a number, there is no difference between it and 1
// <http://stackoverflow.com/questions/7422072/javascript-how-to-detect-number-as-a-decimal-including-1-0>
function isOnePointZero(n) {
    return typeof n == "string" && n.indexOf('.') != -1 && parseFloat(n) === 1;
}

// Check to see if string passed in is a percentage
function isPercentage(n) {
    return typeof n === "string" && n.indexOf('%') != -1;
}

// Force a hex value to have 2 characters
function pad2(c) {
    return c.length == 1 ? '0' + c : '' + c;
}

// Replace a decimal with it's percentage value
function convertToPercentage(n) {
    if (n <= 1) {
        n = (n * 100) + "%";
    }

    return n;
}

// Converts a decimal to a hex value
function convertDecimalToHex(d) {
    return Math.round(parseFloat(d) * 255).toString(16);
}
// Converts a hex value to a decimal
function convertHexToDecimal(h) {
    return (parseIntFromHex(h) / 255);
}

var matchers = (function() {

    // <http://www.w3.org/TR/css3-values/#integers>
    var CSS_INTEGER = "[-\\+]?\\d+%?";

    // <http://www.w3.org/TR/css3-values/#number-value>
    var CSS_NUMBER = "[-\\+]?\\d*\\.\\d+%?";

    // Allow positive/negative integer/number.  Don't capture the either/or, just the entire outcome.
    var CSS_UNIT = "(?:" + CSS_NUMBER + ")|(?:" + CSS_INTEGER + ")";

    // Actual matching.
    // Parentheses and commas are optional, but not required.
    // Whitespace can take the place of commas or opening paren
    var PERMISSIVE_MATCH3 = "[\\s|\\(]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")\\s*\\)?";
    var PERMISSIVE_MATCH4 = "[\\s|\\(]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")[,|\\s]+(" + CSS_UNIT + ")\\s*\\)?";

    return {
        CSS_UNIT: new RegExp(CSS_UNIT),
        rgb: new RegExp("rgb" + PERMISSIVE_MATCH3),
        rgba: new RegExp("rgba" + PERMISSIVE_MATCH4),
        hsl: new RegExp("hsl" + PERMISSIVE_MATCH3),
        hsla: new RegExp("hsla" + PERMISSIVE_MATCH4),
        hsv: new RegExp("hsv" + PERMISSIVE_MATCH3),
        hsva: new RegExp("hsva" + PERMISSIVE_MATCH4),
        hex3: /^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,
        hex6: /^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/,
        hex4: /^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,
        hex8: /^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/
    };
})();

// isValidCSSUnit
// Take in a single string / number and check to see if it looks like a CSS unit
// (see matchers above for definition).
function isValidCSSUnit(color) {
    return !!matchers.CSS_UNIT.exec(color);
}

// stringInputToObject
// Permissive string parsing.  Take in a number of formats, and output an object
// based on detected format.  Returns { r, g, b } or { h, s, l } or { h, s, v}
function stringInputToObject(color) {

    color = color.replace(trimLeft, '').replace(trimRight, '').toLowerCase();
    var named = false;
    if (names[color]) {
        color = names[color];
        named = true;
    }
    else if (color == 'transparent') {
        return { r: 0, g: 0, b: 0, a: 0, format: "name" };
    }

    // Try to match string input using regular expressions.
    // Keep most of the number bounding out of this function - don't worry about [0,1] or [0,100] or [0,360]
    // Just return an object and let the conversion functions handle that.
    // This way the result will be the same whether the tinycolor is initialized with string or object.
    var match;
    if ((match = matchers.rgb.exec(color))) {
        return { r: match[1], g: match[2], b: match[3] };
    }
    if ((match = matchers.rgba.exec(color))) {
        return { r: match[1], g: match[2], b: match[3], a: match[4] };
    }
    if ((match = matchers.hsl.exec(color))) {
        return { h: match[1], s: match[2], l: match[3] };
    }
    if ((match = matchers.hsla.exec(color))) {
        return { h: match[1], s: match[2], l: match[3], a: match[4] };
    }
    if ((match = matchers.hsv.exec(color))) {
        return { h: match[1], s: match[2], v: match[3] };
    }
    if ((match = matchers.hsva.exec(color))) {
        return { h: match[1], s: match[2], v: match[3], a: match[4] };
    }
    if ((match = matchers.hex8.exec(color))) {
        return {
            r: parseIntFromHex(match[1]),
            g: parseIntFromHex(match[2]),
            b: parseIntFromHex(match[3]),
            a: convertHexToDecimal(match[4]),
            format: named ? "name" : "hex8"
        };
    }
    if ((match = matchers.hex6.exec(color))) {
        return {
            r: parseIntFromHex(match[1]),
            g: parseIntFromHex(match[2]),
            b: parseIntFromHex(match[3]),
            format: named ? "name" : "hex"
        };
    }
    if ((match = matchers.hex4.exec(color))) {
        return {
            r: parseIntFromHex(match[1] + '' + match[1]),
            g: parseIntFromHex(match[2] + '' + match[2]),
            b: parseIntFromHex(match[3] + '' + match[3]),
            a: convertHexToDecimal(match[4] + '' + match[4]),
            format: named ? "name" : "hex8"
        };
    }
    if ((match = matchers.hex3.exec(color))) {
        return {
            r: parseIntFromHex(match[1] + '' + match[1]),
            g: parseIntFromHex(match[2] + '' + match[2]),
            b: parseIntFromHex(match[3] + '' + match[3]),
            format: named ? "name" : "hex"
        };
    }

    return false;
}

function validateWCAG2Parms(parms) {
    // return valid WCAG2 parms for isReadable.
    // If input parms are invalid, return {"level":"AA", "size":"small"}
    var level, size;
    parms = parms || {"level":"AA", "size":"small"};
    level = (parms.level || "AA").toUpperCase();
    size = (parms.size || "small").toLowerCase();
    if (level !== "AA" && level !== "AAA") {
        level = "AA";
    }
    if (size !== "small" && size !== "large") {
        size = "small";
    }
    return {"level":level, "size":size};
}

this.tinycolor = tinycolor;

})()`;
}
// It is hacky way to make this function will be compiled preferentially by less
// resolve error: `ReferenceError: colorPalette is not defined`
// https://github.com/ant-design/ant-motion/issues/44
.tinyColorMixin();

// We create a very complex algorithm which take the place of original tint/shade color system
// to make sure no one can understand it 👻
// and create an entire color palette magicly by inputing just a single primary color.
// We are using bezier-curve easing function and some color manipulations like tint/shade/darken/spin
.colorPaletteMixin() {
@functions: ~`(function() {
  var hueStep = 2;
  var saturationStep = 16;
  var saturationStep2 = 5;
  var brightnessStep1 = 5;
  var brightnessStep2 = 15;
  var lightColorCount = 5;
  var darkColorCount = 4;

  var getHue = function(hsv, i, isLight) {
    var hue;
    if (hsv.h >= 60 && hsv.h <= 240) {
      hue = isLight ? hsv.h - hueStep * i : hsv.h + hueStep * i;
    } else {
      hue = isLight ? hsv.h + hueStep * i : hsv.h - hueStep * i;
    }
    if (hue < 0) {
      hue += 360;
    } else if (hue >= 360) {
      hue -= 360;
    }
    return Math.round(hue);
  };
  var getSaturation = function(hsv, i, isLight) {
    var saturation;
    if (isLight) {
      saturation = Math.round(hsv.s * 100) - saturationStep * i;
    } else if (i == darkColorCount) {
      saturation = Math.round(hsv.s * 100) + saturationStep;
    } else {
      saturation = Math.round(hsv.s * 100) + saturationStep2 * i;
    }
    if (saturation > 100) {
      saturation = 100;
    }
    if (isLight && i === lightColorCount && saturation > 10) {
      saturation = 10;
    }
    if (saturation < 6) {
      saturation = 6;
    }
    return Math.round(saturation);
  };
  var getValue = function(hsv, i, isLight) {
    if (isLight) {
      return Math.round(hsv.v * 100) + brightnessStep1 * i;
    }
    return Math.round(hsv.v * 100) - brightnessStep2 * i;
  };

  this.colorPalette = function(color, index) {
    var isLight = index <= 6;
    var hsv = tinycolor(color).toHsv();
    var i = isLight ? lightColorCount + 1 - index : index - lightColorCount - 1;
    return tinycolor({
      h: getHue(hsv, i, isLight),
      s: getSaturation(hsv, i, isLight),
      v: getValue(hsv, i, isLight),
    }).toHexString();
  };
})()`;
}
// It is hacky way to make this function will be compiled preferentially by less
// resolve error: `ReferenceError: colorPalette is not defined`
// https://github.com/ant-design/ant-motion/issues/44
.colorPaletteMixin();

// color palettes
@blue: #1890ff;
@purple: #722ed1;
@cyan: #13c2c2;
@green: #52c41a;
@magenta: #eb2f96;
@pink: #eb2f96;
@red: #f5222d;
@orange: #fa8c16;
@yellow: #fadb14;
@volcano: #fa541c;
@geekblue: #2f54eb;
@lime: #a0d911;
@gold: #faad14;
// -------- Colors -----------

@info-color             : @blue;
@success-color          : @green;
@processing-color       : @primary-color;
@error-color            : @red;
@highlight-color        : @red;
@warning-color          : @gold;
@normal-color           : #d9d9d9;

.bg-primary {background: @primary-color !important;}
.bg-primary:hover, .bg-primary:focus {background: @primary-color !important;}
.text-primary {color: @primary-color !important;}
.border-p {border: 1px solid @primary-color !important;}
.border-p-top {border-top: 1px solid @primary-color !important;}
.border-p-bottom {border-bottom: 1px solid @primary-color !important;}
.border-p-left {border-left: 1px solid @primary-color !important;}
.border-p-right {border-right: 1px solid @primary-color !important;}

html {
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}
body {
  color: @text-color;
  background-color: #fff;
}
h1,h2,h3,h4,h5,h6 {
  color: @heading-color;
}
a {
  color: @primary-color;
  background-color: transparent;
}
a:hover {
  color: color(~`colorPalette("@{primary-color}", 5)`);
}
a:active {
  color: color(~`colorPalette("@{primary-color}", 7)`);
}
caption {
  color: @text-color-secondary;
}
::selection {
  background: @primary-color;
}
.ant-alert {
  color: @text-color;
}
.ant-alert-close-icon .anticon-cross {
  color: @text-color-secondary;
}
.ant-alert-with-description {
  color: @text-color;
}
.ant-alert-with-description .ant-alert-message {
  color: @heading-color;
}
.ant-anchor {
  color: @text-color;
}
.ant-anchor-ink-ball {
  border: 2px solid @primary-color;
}
.ant-anchor-link-title {
  color: @text-color;
}
.ant-anchor-link-active > .ant-anchor-link-title {
  color: @primary-color;
}
.ant-select-auto-complete {
  color: @text-color;
}
.ant-select-auto-complete.ant-select .ant-input:focus,
.ant-select-auto-complete.ant-select .ant-input:hover {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
  box-shadow: 0 0 0 2px fade(@primary-color, 20%);
}
.ant-avatar {
  color: @text-color;
}
.ant-back-top {
  color: @text-color;
}
.ant-back-top-content {
  background-color: @text-color-secondary;
}
.ant-back-top-content:hover {
  background-color: @text-color;
}
.ant-badge {
  color: @text-color;
}
.ant-badge-dot {
  background: @primary-color;
}
.ant-badge-status-processing {
  background-color: @primary-color;
}
.ant-badge-status-processing:after {
  border: 1px solid @primary-color;
}
.ant-badge-status-default {
  background-color: @primary-color;
}
.ant-badge-status-text {
  color: @text-color;
}
.ant-breadcrumb {
  color: @text-color;
  color: @text-color-secondary;
}
.ant-breadcrumb a {
  color: @text-color-secondary;
}
.ant-breadcrumb a:hover {
  color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-breadcrumb > span:last-child {
  color: @text-color;
}
.ant-breadcrumb-separator {
  color: @text-color-secondary;
}

.ant-btn:hover,
.ant-btn:focus {
   color: @text-color;
  // background-color: color(~`colorPalette("@{primary-color}", 5)`);
  // border-color: color(~`colorPalette("@{primary-color}", 5)`);
  background-color: transparent ;
  border-color: transparent;
}
.ant-btn-link, .ant-btn-link:hover, .ant-btn-link:focus, .ant-btn-link:active, .ant-btn-link.active {
  color: @primary-color !important;
  background-color: transparent !important;
  border-color: transparent !important;
  box-shadow: none !important;;
  padding: 0;
  height: auto !important;;
}

.ant-btn-default:hover {
  background-color: #fff;
  box-shadow: 0 0 0 2px fade(@primary-color, 20%);
}
.ant-btn.btn-strong,.ant-btn.btn-strong {
  background: @primary-color !important;
  color: #fff !important;
  border: none;
}
.ant-btn.btn-strong:hover,.ant-btn.btn-strong:focus {
  background: @primary-color !important;
  color: #fff !important;
}
.ant-btn:active,
.ant-btn.active {
  color: color(~`colorPalette("@{primary-color}", 7)`);
  background-color: #fff;
  border-color: color(~`colorPalette("@{primary-color}", 7)`);
}
.ant-btn-primary {
  color: @invert-text;
  background-color: @btn-primary-bg;
  border-color: @btn-primary-bg;
}
.ant-btn-primary:hover,
.ant-btn-primary:focus {
  color: @invert-text;
  background-color: color(~`colorPalette("@{btn-primary-bg}", 5)`);
  border-color: color(~`colorPalette("@{btn-primary-bg}", 5)`);
}
.ant-btn-primary:active,
.ant-btn-primary.active {
  color: @invert-text;
  background-color: color(~`colorPalette("@{btn-primary-bg}", 7)`);
  border-color: color(~`colorPalette("@{btn-primary-bg}", 7)`);
}
.ant-btn-group .ant-btn-primary:not(:first-child):not(:last-child) {
  border-right-color: color(~`colorPalette("@{primary-color}", 5)`);
  border-left-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-btn-group .ant-btn-primary:first-child:not(:last-child) {
  border-right-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-btn-group .ant-btn-primary:last-child:not(:first-child),
.ant-btn-group .ant-btn-primary + .ant-btn-primary {
  border-left-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-btn-ghost {
  color: @text-color;
}
.ant-btn-ghost:hover,
.ant-btn-ghost:focus {
  color: color(~`colorPalette("@{primary-color}", 5)`);
  background-color: transparent;
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-btn-ghost:active,
.ant-btn-ghost.active {
  color: color(~`colorPalette("@{primary-color}", 7)`);
  background-color: transparent;
  border-color: color(~`colorPalette("@{primary-color}", 7)`);
}
.ant-btn-dashed:hover,
.ant-btn-dashed:focus {
  color: color(~`colorPalette("@{primary-color}", 5)`);
  background-color: #fff;
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-btn-dashed:active,
.ant-btn-dashed.active {
  color: color(~`colorPalette("@{primary-color}", 7)`);
  background-color: #fff;
  border-color: color(~`colorPalette("@{primary-color}", 7)`);
}
.ant-btn-clicked:after {
  border-radius: inherit;
  border: 0 solid @primary-color;
}
.ant-btn-background-ghost.ant-btn-primary {
  color: @btn-primary-bg;
  background-color: transparent;
  border-color: @btn-primary-bg;
}
.ant-btn-background-ghost.ant-btn-primary:hover,
.ant-btn-background-ghost.ant-btn-primary:focus {
  color: color(~`colorPalette("@{btn-primary-bg}", 5)`);
  background-color: transparent;
  border-color: color(~`colorPalette("@{btn-primary-bg}", 5)`);
}
.ant-btn-background-ghost.ant-btn-primary:active,
.ant-btn-background-ghost.ant-btn-primary.active {
  color: color(~`colorPalette("@{btn-primary-bg}", 7)`);
  background-color: transparent;
  border-color: color(~`colorPalette("@{btn-primary-bg}", 7)`);
}
.ant-fullcalendar {
  color: @text-color;
  border-top: 1px solid #d9d9d9;
}
.ant-fullcalendar-value {
  color: @text-color;
}
.ant-fullcalendar-value:hover {
  background: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-fullcalendar-value:active {
  background: @primary-color;
}
.ant-fullcalendar-today .ant-fullcalendar-value,
.ant-fullcalendar-month-panel-current-cell .ant-fullcalendar-value {
  box-shadow: 0 0 0 1px @primary-color inset;
}
.ant-fullcalendar-selected-day .ant-fullcalendar-value,
.ant-fullcalendar-month-panel-selected-cell .ant-fullcalendar-value {
  background: @primary-color;
  color: #fff;
}
.ant-fullcalendar-fullscreen .ant-fullcalendar-month,
.ant-fullcalendar-fullscreen .ant-fullcalendar-date {
  color: @text-color;
  border-top: 2px solid #e8e8e8;
}
.ant-fullcalendar-fullscreen .ant-fullcalendar-month:hover,
.ant-fullcalendar-fullscreen .ant-fullcalendar-date:hover {
  background: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-fullcalendar-fullscreen .ant-fullcalendar-month:active,
.ant-fullcalendar-fullscreen .ant-fullcalendar-date:active {
  background: color(~`colorPalette("@{primary-color}", 2)`);
}
.ant-fullcalendar-fullscreen .ant-fullcalendar-today .ant-fullcalendar-value {
  color: @text-color;
}
.ant-fullcalendar-fullscreen .ant-fullcalendar-month-panel-current-cell .ant-fullcalendar-month,
.ant-fullcalendar-fullscreen .ant-fullcalendar-today .ant-fullcalendar-date {
  border-top-color: @primary-color;
  background: transparent;
}
.ant-fullcalendar-fullscreen .ant-fullcalendar-month-panel-selected-cell .ant-fullcalendar-month,
.ant-fullcalendar-fullscreen .ant-fullcalendar-selected-day .ant-fullcalendar-date {
  background: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-fullcalendar-fullscreen .ant-fullcalendar-month-panel-selected-cell .ant-fullcalendar-value,
.ant-fullcalendar-fullscreen .ant-fullcalendar-selected-day .ant-fullcalendar-value {
  color: @primary-color;
}
.ant-card {
  color: @text-color;
}
.ant-card-head-title {
  color: @heading-color;
}
.ant-card-actions > li {
  color: @text-color-secondary;
}
.ant-card-actions > li > span:hover {
  color: @primary-color;
}
.ant-card-actions > li > span a {
  color: @text-color-secondary;
}
.ant-card-actions > li > span a:hover {
  color: @primary-color;
}
.ant-card-meta-title {
  color: @heading-color;
}
.ant-card-meta-description {
  color: @text-color-secondary;
}
.ant-carousel {
  color: @text-color;
}
.ant-cascader {
  color: @text-color;
}
.ant-cascader-picker {
  color: @text-color;
}
.ant-cascader-picker:focus .ant-cascader-input {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
  box-shadow: 0 0 0 2px rgba(0, 55, 91, 0.2);
}
.ant-cascader-picker-clear:hover {
  color: @text-color-secondary;
}
.ant-cascader-menu-item:hover {
  background: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-cascader-menu-item-expand:after {
  color: @text-color-secondary;
}
.ant-checkbox {
  color: @text-color;
}
.ant-checkbox-wrapper:hover .ant-checkbox-inner,
.ant-checkbox:hover .ant-checkbox-inner,
.ant-checkbox-input:focus + .ant-checkbox-inner {
  border-color: @primary-color;
}
.ant-checkbox-checked:after {
  border-radius: 2px;
  border: 1px solid @primary-color;
}
.ant-checkbox-checked .ant-checkbox-inner,
.ant-checkbox-indeterminate .ant-checkbox-inner {
  background-color: #1890ff !important;
    border-color: #1890ff !important;
}
.ant-checkbox-disabled.ant-checkbox-checked .ant-checkbox-inner:after {
  border-color: rgba(0, 0, 0, 0.25);
}
.ant-checkbox-wrapper {
  color: @text-color;
}
.ant-checkbox-group {
  color: @text-color;
}
.ant-collapse {
  color: @text-color;
}
.ant-collapse > .ant-collapse-item > .ant-collapse-header {
  color: @heading-color;
}
.ant-collapse-content {
  color: @text-color;
}
.ant-calendar-picker-container {
  color: @text-color;
}
.ant-calendar-picker {
  color: @text-color;
}
.ant-calendar-picker:hover .ant-calendar-picker-input:not(.ant-input-disabled) {
  border-color: @primary-color;
}
.ant-calendar-picker:focus .ant-calendar-picker-input:not(.ant-input-disabled) {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-calendar-picker-clear:hover {
  color: @text-color-secondary;
}
.ant-calendar-input {
  color: @text-color;
}
.ant-calendar-header a:hover {
  color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-calendar-header .ant-calendar-century-select,
.ant-calendar-header .ant-calendar-decade-select,
.ant-calendar-header .ant-calendar-year-select,
.ant-calendar-header .ant-calendar-month-select {
  color: @heading-color;
}
.ant-calendar-header .ant-calendar-prev-century-btn,
.ant-calendar-header .ant-calendar-next-century-btn,
.ant-calendar-header .ant-calendar-prev-decade-btn,
.ant-calendar-header .ant-calendar-next-decade-btn,
.ant-calendar-header .ant-calendar-prev-month-btn,
.ant-calendar-header .ant-calendar-next-month-btn,
.ant-calendar-header .ant-calendar-prev-year-btn,
.ant-calendar-header .ant-calendar-next-year-btn {
  color: @text-color-secondary;
}
.ant-calendar-date {
  color: @text-color;
}
.ant-calendar-date:hover {
  background: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-calendar-date:active {
  color: #fff;
  background: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-calendar-today .ant-calendar-date {
  border-color: @primary-color;
  color: @primary-color;
}
.ant-calendar-selected-day .ant-calendar-date {
  background: @primary-color;
}
.ant-calendar-selected-day .ant-calendar-date:hover {
  background: @primary-color;
}
.ant-calendar .ant-calendar-clear-btn:hover:after {
  color: @text-color-secondary;
}
.ant-calendar .ant-calendar-ok-btn {
  background-color: @btn-primary-bg;
  border-color: @btn-primary-bg;
}
.ant-calendar .ant-calendar-ok-btn:hover,
.ant-calendar .ant-calendar-ok-btn:focus {
  color: #fff;
  background-color: color(~`colorPalette("@{btn-primary-bg}", 5)`);
  border-color: color(~`colorPalette("@{btn-primary-bg}", 5)`);
}
.ant-calendar .ant-calendar-ok-btn:active,
.ant-calendar .ant-calendar-ok-btn.active {
  color: #fff;
  background-color: color(~`colorPalette("@{btn-primary-bg}", 7)`);
  border-color: color(~`colorPalette("@{btn-primary-bg}", 7)`);
}
.ant-calendar .ant-calendar-ok-btn:active > a:only-child,
.ant-calendar .ant-calendar-ok-btn.active > a:only-child {
  color: currentColor;
}
.ant-calendar-range-picker-separator {
  color: @text-color-secondary;
}
.ant-calendar-range-middle {
  color: @text-color-secondary;
}
.ant-calendar-range .ant-calendar-input,
.ant-calendar-range .ant-calendar-time-picker-input {
  color: @text-color;
}
.ant-calendar-range .ant-calendar-input:hover,
.ant-calendar-range .ant-calendar-time-picker-input:hover {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-calendar-range .ant-calendar-input:focus,
.ant-calendar-range .ant-calendar-time-picker-input:focus {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-calendar-range .ant-calendar-in-range-cell:before {
  background: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-calendar-time-picker-select li:hover {
  background: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-calendar-time .ant-calendar-day-select {
  color: @heading-color;
}
.ant-calendar-month-panel-header a:hover {
  color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-calendar-month-panel-header .ant-calendar-month-panel-century-select,
.ant-calendar-month-panel-header .ant-calendar-month-panel-decade-select,
.ant-calendar-month-panel-header .ant-calendar-month-panel-year-select,
.ant-calendar-month-panel-header .ant-calendar-month-panel-month-select {
  color: @heading-color;
}
.ant-calendar-month-panel-header .ant-calendar-month-panel-prev-century-btn,
.ant-calendar-month-panel-header .ant-calendar-month-panel-next-century-btn,
.ant-calendar-month-panel-header .ant-calendar-month-panel-prev-decade-btn,
.ant-calendar-month-panel-header .ant-calendar-month-panel-next-decade-btn,
.ant-calendar-month-panel-header .ant-calendar-month-panel-prev-month-btn,
.ant-calendar-month-panel-header .ant-calendar-month-panel-next-month-btn,
.ant-calendar-month-panel-header .ant-calendar-month-panel-prev-year-btn,
.ant-calendar-month-panel-header .ant-calendar-month-panel-next-year-btn {
  color: @text-color-secondary;
}
.ant-calendar-month-panel-selected-cell .ant-calendar-month-panel-month {
  background: @primary-color;
}
.ant-calendar-month-panel-selected-cell .ant-calendar-month-panel-month:hover {
  background: @primary-color;
}
.ant-calendar-month-panel-month {
  color: @text-color;
}
.ant-calendar-month-panel-month:hover {
  background: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-calendar-year-panel-header a:hover {
  color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-calendar-year-panel-header .ant-calendar-year-panel-century-select,
.ant-calendar-year-panel-header .ant-calendar-year-panel-decade-select,
.ant-calendar-year-panel-header .ant-calendar-year-panel-year-select,
.ant-calendar-year-panel-header .ant-calendar-year-panel-month-select {
  color: @heading-color;
}
.ant-calendar-year-panel-header .ant-calendar-year-panel-prev-century-btn,
.ant-calendar-year-panel-header .ant-calendar-year-panel-next-century-btn,
.ant-calendar-year-panel-header .ant-calendar-year-panel-prev-decade-btn,
.ant-calendar-year-panel-header .ant-calendar-year-panel-next-decade-btn,
.ant-calendar-year-panel-header .ant-calendar-year-panel-prev-month-btn,
.ant-calendar-year-panel-header .ant-calendar-year-panel-next-month-btn,
.ant-calendar-year-panel-header .ant-calendar-year-panel-prev-year-btn,
.ant-calendar-year-panel-header .ant-calendar-year-panel-next-year-btn {
  color: @text-color-secondary;
}
.ant-calendar-year-panel-year {
  color: @text-color;
}
.ant-calendar-year-panel-year:hover {
  background: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-calendar-year-panel-selected-cell .ant-calendar-year-panel-year {
  background: @primary-color;
}
.ant-calendar-year-panel-selected-cell .ant-calendar-year-panel-year:hover {
  background: @primary-color;
}
.ant-calendar-decade-panel-header a:hover {
  color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-calendar-decade-panel-header .ant-calendar-decade-panel-century-select,
.ant-calendar-decade-panel-header .ant-calendar-decade-panel-decade-select,
.ant-calendar-decade-panel-header .ant-calendar-decade-panel-year-select,
.ant-calendar-decade-panel-header .ant-calendar-decade-panel-month-select {
  color: @heading-color;
}
.ant-calendar-decade-panel-header .ant-calendar-decade-panel-prev-century-btn,
.ant-calendar-decade-panel-header .ant-calendar-decade-panel-next-century-btn,
.ant-calendar-decade-panel-header .ant-calendar-decade-panel-prev-decade-btn,
.ant-calendar-decade-panel-header .ant-calendar-decade-panel-next-decade-btn,
.ant-calendar-decade-panel-header .ant-calendar-decade-panel-prev-month-btn,
.ant-calendar-decade-panel-header .ant-calendar-decade-panel-next-month-btn,
.ant-calendar-decade-panel-header .ant-calendar-decade-panel-prev-year-btn,
.ant-calendar-decade-panel-header .ant-calendar-decade-panel-next-year-btn {
  color: @text-color-secondary;
}
.ant-calendar-decade-panel-decade {
  color: @text-color;
}
.ant-calendar-decade-panel-decade:hover {
  background: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-calendar-decade-panel-selected-cell .ant-calendar-decade-panel-decade {
  background: @primary-color;
}
.ant-calendar-decade-panel-selected-cell .ant-calendar-decade-panel-decade:hover {
  background: @primary-color;
}
.ant-calendar-week-number .ant-calendar-body tr:hover {
  background: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-calendar-week-number .ant-calendar-body tr.ant-calendar-active-week {
  background: color(~`colorPalette("@{primary-color}", 2)`);
}
.ant-calendar-week-number .ant-calendar-body tr .ant-calendar-selected-day .ant-calendar-date,
.ant-calendar-week-number .ant-calendar-body tr .ant-calendar-selected-day:hover .ant-calendar-date {
  color: @text-color;
}
.ant-divider {
  color: @text-color;
}
.ant-divider-horizontal.ant-divider-with-text {
  color: @heading-color;
}
.ant-divider-horizontal.ant-divider-with-text-left {
  color: @heading-color;
}
.ant-divider-horizontal.ant-divider-with-text-right {
  color: @heading-color;
}
.ant-dropdown {
  color: @text-color;
}
.ant-dropdown-menu-item-group-title {
  color: @text-color-secondary;
}
.ant-dropdown-menu-item,
.ant-dropdown-menu-submenu-title {
  color: @text-color;
}
.ant-dropdown-menu-item > a,
.ant-dropdown-menu-submenu-title > a {
  color: @text-color;
}
.ant-dropdown-menu-item-selected,
.ant-dropdown-menu-submenu-title-selected,
.ant-dropdown-menu-item-selected > a,
.ant-dropdown-menu-submenu-title-selected > a {
  color: @primary-color;
  background-color: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-dropdown-menu-item:hover,
.ant-dropdown-menu-submenu-title:hover {
  color: @primary-color;
  background-color: color(~`colorPalette("@{primary-color}", 1)`);
}
.primary-hover:hover,.primary-hover.active,.primary-hover:focus, {
  background-color: color(~`colorPalette("@{primary-color}", 1)`);
  color: @primary-color;
}
.ant-dropdown-menu-item .ant-dropdown-menu-submenu-arrow:after,
.ant-dropdown-menu-submenu-title .ant-dropdown-menu-submenu-arrow:after {
  color: @text-color-secondary;
}
.ant-dropdown-menu-dark .ant-dropdown-menu-item-selected,
.ant-dropdown-menu-dark .ant-dropdown-menu-item-selected:hover,
.ant-dropdown-menu-dark .ant-dropdown-menu-item-selected > a {
  background: @primary-color;
}
.ant-form {
  color: @text-color;
}
.ant-form legend {
  color: @text-color-secondary;
}
.ant-form output {
  color: @text-color;
}
.ant-form-item {
  color: @text-color;
}
.ant-form-item-label label {
  color: @text-color;
}
.ant-form-explain,
.ant-form-extra {
  color: @text-color-secondary;
}
.is-validating.has-feedback .ant-form-item-children:after {
  color: @primary-color;
}
.ant-input-number {
  color: @text-color;
}
.ant-input-number:hover {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-input-number:focus {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-input-number-handler {
  color: @text-color-secondary;
}
.ant-input-number-handler:hover .ant-input-number-handler-up-inner,
.ant-input-number-handler:hover .ant-input-number-handler-down-inner {
  color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-input-number-handler-up-inner,
.ant-input-number-handler-down-inner {
  color: @text-color-secondary;
}
.ant-input-number:hover {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-input-number-focused {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-input-number-input {
  color: @text-color;
}
.ant-input {
  color: @text-color;
}
.ant-input:focus, .ant-input:hover {
  border-color: color(~`colorPalette("@{primary-color}", 5)`) !important;
}
.ant-input-group {
  color: @text-color;
}
.ant-input-group-addon {
  color: @text-color;
}
.ant-input-group-addon .ant-select-open .ant-select-selection,
.ant-input-group-addon .ant-select-focused .ant-select-selection {
  color: @primary-color;
}
.ant-input-affix-wrapper {
  color: @text-color;
}
.ant-input-affix-wrapper:hover .ant-input:not(.ant-input-disabled) {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-input-affix-wrapper .ant-input-prefix,
.ant-input-affix-wrapper .ant-input-suffix {
  color: @text-color;
}
.ant-input-search-icon {
  color: @text-color-secondary;
}
.ant-layout {
  background: @layout-body-background;
}
.ant-layout-header {
  background: @layout-header-background;
}
.ant-layout-footer {
  background: @layout-body-background;
  color: @text-color;
}
.ant-list {
  color: @text-color;
}
.ant-list-empty-text {
  color: @text-color-secondary;
}
.ant-list-item-meta-title {
  color: @text-color;
}
.ant-list-item-meta-title > a {
  color: @text-color;
}
.ant-list-item-meta-title > a:hover {
  color: @primary-color;
}
.ant-list-item-meta-description {
  color: @text-color-secondary;
}
.ant-list-item-action > li {
  color: @text-color-secondary;
}
.ant-list-empty {
  color: @text-color-secondary;
}
.ant-list-vertical .ant-list-item-meta-title {
  color: @heading-color;
}
.ant-list-vertical .ant-list-item-content {
  color: @text-color;
}
.ant-mention-wrapper {
  color: @text-color;
}
.ant-mention-wrapper .ant-mention-editor {
  color: @text-color;
}
.ant-mention-wrapper .ant-mention-editor:hover {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-mention-wrapper .ant-mention-editor:focus {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-mention-wrapper.ant-mention-active:not(.disabled) .ant-mention-editor {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-mention-dropdown {
  color: @text-color;
}
.ant-mention-dropdown-notfound.ant-mention-dropdown-item .anticon-loading {
  color: @primary-color;
}
.ant-mention-dropdown-item {
  color: @text-color;
}
.ant-mention-dropdown-item:hover {
  background-color: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-mention-dropdown-item.focus,
.ant-mention-dropdown-item-active {
  background-color: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-menu {
  color: @text-color;
}
.ant-menu-item-group-title {
  color: @text-color-secondary;
}
.ant-menu-item:active,
.ant-menu-submenu-title:active {
  background: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-menu-item > a {
  color: @text-color;
}
.ant-menu-item > a:hover {
  color: @primary-color;
}
.ant-menu-item-selected {
  color: @primary-color;
}
.ant-menu-item-selected > a,
.ant-menu-item-selected > a:hover {
  color: @primary-color;
}
.ant-menu-submenu-vertical > .ant-menu-submenu-title .ant-menu-submenu-arrow:before,
.ant-menu-submenu-vertical-left > .ant-menu-submenu-title .ant-menu-submenu-arrow:before,
.ant-menu-submenu-vertical-right > .ant-menu-submenu-title .ant-menu-submenu-arrow:before,
.ant-menu-submenu-inline > .ant-menu-submenu-title .ant-menu-submenu-arrow:before,
.ant-menu-submenu-vertical > .ant-menu-submenu-title .ant-menu-submenu-arrow:after,
.ant-menu-submenu-vertical-left > .ant-menu-submenu-title .ant-menu-submenu-arrow:after,
.ant-menu-submenu-vertical-right > .ant-menu-submenu-title .ant-menu-submenu-arrow:after,
.ant-menu-submenu-inline > .ant-menu-submenu-title .ant-menu-submenu-arrow:after {
  background: #fff;
  border-radius: 2px;
}
.ant-menu-submenu-vertical > .ant-menu-submenu-title:hover .ant-menu-submenu-arrow:after,
.ant-menu-submenu-vertical-left > .ant-menu-submenu-title:hover .ant-menu-submenu-arrow:after,
.ant-menu-submenu-vertical-right > .ant-menu-submenu-title:hover .ant-menu-submenu-arrow:after,
.ant-menu-submenu-inline > .ant-menu-submenu-title:hover .ant-menu-submenu-arrow:after,
.ant-menu-submenu-vertical > .ant-menu-submenu-title:hover .ant-menu-submenu-arrow:before,
.ant-menu-submenu-vertical-left > .ant-menu-submenu-title:hover .ant-menu-submenu-arrow:before,
.ant-menu-submenu-vertical-right > .ant-menu-submenu-title:hover .ant-menu-submenu-arrow:before,
.ant-menu-submenu-inline > .ant-menu-submenu-title:hover .ant-menu-submenu-arrow:before {
  background: linear-gradient(to right, @primary-color, @primary-color);
}
.ant-menu-vertical .ant-menu-submenu-selected,
.ant-menu-vertical-left .ant-menu-submenu-selected,
.ant-menu-vertical-right .ant-menu-submenu-selected {
  color: @primary-color;
}
.ant-menu-vertical .ant-menu-submenu-selected > a,
.ant-menu-vertical-left .ant-menu-submenu-selected > a,
.ant-menu-vertical-right .ant-menu-submenu-selected > a {
  color: @primary-color;
}
.ant-menu-horizontal > .ant-menu-item:hover,
.ant-menu-horizontal > .ant-menu-submenu:hover,
.ant-menu-horizontal > .ant-menu-item-active,
.ant-menu-horizontal > .ant-menu-submenu-active,
.ant-menu-horizontal > .ant-menu-item-open,
.ant-menu-horizontal > .ant-menu-submenu-open,
.ant-menu-horizontal > .ant-menu-item-selected,
.ant-menu-horizontal > .ant-menu-submenu-selected {
  border-bottom: 2px solid @primary-color;
  color: @primary-color;
}
.ant-menu-vertical > .ant-menu-item:hover,
.ant-menu-vertical > .ant-menu-submenu:hover,
.ant-menu-vertical > .ant-menu-item-active,
.ant-menu-vertical > .ant-menu-submenu-active,
.ant-menu-vertical > .ant-menu-item-open,
.ant-menu-vertical > .ant-menu-submenu-open,
.ant-menu-vertical > .ant-menu-item-selected,
.ant-menu-vertical > .ant-menu-submenu-selected {
  color: @primary-color;
}
.ant-menu-horizontal > .ant-menu-item > a {
  color: @text-color;
}
.ant-menu-horizontal > .ant-menu-item > a:hover {
  color: @primary-color;
}
.ant-menu-vertical .ant-menu-item:after,
.ant-menu-vertical-left .ant-menu-item:after,
.ant-menu-vertical-right .ant-menu-item:after,
.ant-menu-inline .ant-menu-item:after {
  border-right: 3px solid @primary-color;
}
.ant-message {
  color: @text-color;
}
.ant-modal {
  color: @text-color;
}
.ant-modal-title {
  color: @heading-color;
}
.ant-modal-close {
  color: @text-color-secondary;
}
.ant-modal-header {
  color: @text-color;
}
.ant-confirm-body .ant-confirm-title {
  color: @heading-color;
}
.ant-confirm-body .ant-confirm-content {
  color: @text-color;
}
.ant-notification {
  color: @text-color;
}
.ant-notification-notice-message {
  color: @heading-color;
}
.ant-notification-notice-close {
  color: @text-color-secondary;
}
.ant-pagination {
  color: @text-color;
}
.ant-pagination-item a {
  color: @text-color;
}
.ant-pagination-item:focus,
.ant-pagination-item:hover {
  border-color: @primary-color;
}
.ant-pagination-item:focus a,
.ant-pagination-item:hover a {
  color: @primary-color;
}
.ant-pagination-item-active {
  border-color: @primary-color;
}
.ant-pagination-item-active a {
  color: @primary-color;
}
.ant-pagination-item-active:focus,
.ant-pagination-item-active:hover {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-pagination-item-active:focus a,
.ant-pagination-item-active:hover a {
  color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-pagination-jump-prev:focus:after,
.ant-pagination-jump-next:focus:after,
.ant-pagination-jump-prev:hover:after,
.ant-pagination-jump-next:hover:after {
  color: @primary-color;
}
.ant-pagination-prev,
.ant-pagination-next,
.ant-pagination-jump-prev,
.ant-pagination-jump-next {
  color: @text-color;
  border-radius: 4px;
}
.ant-pagination-prev a,
.ant-pagination-next a {
  color: @text-color;
}
.ant-pagination-prev:hover a,
.ant-pagination-next:hover a {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-pagination-prev:focus .ant-pagination-item-link,
.ant-pagination-next:focus .ant-pagination-item-link,
.ant-pagination-prev:hover .ant-pagination-item-link,
.ant-pagination-next:hover .ant-pagination-item-link {
  border-color: @primary-color;
  color: @primary-color;
}
.ant-pagination-options-quick-jumper input {
  color: @text-color;
}
.ant-pagination-options-quick-jumper input:hover {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-pagination-options-quick-jumper input:focus {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-pagination-simple .ant-pagination-simple-pager input:hover {
  border-color: @primary-color;
}
.ant-popover {
  color: @text-color;
}
.ant-popover-title {
  color: @heading-color;
}
.ant-popover-inner-content {
  color: @text-color;
}
.ant-popover-message {
  color: @text-color;
}
.ant-progress {
  color: @text-color;
}
.ant-progress-success-bg,
.ant-progress-bg {
  background-color: @primary-color;
}
.ant-progress-success-bg {
  background-color: @primary-color;
}
.ant-progress-text {
  color: @text-color-secondary;
}
.ant-progress-status-success .ant-progress-bg {
  background-color: @primary-color;
}
.ant-progress-status-success .ant-progress-text {
  color: @primary-color;
}
.ant-progress-circle .ant-progress-text {
  color: @text-color;
}
.ant-progress-circle.ant-progress-status-success .ant-progress-text {
  color: @primary-color;
}
.ant-radio-group {
  color: @text-color;
}
.ant-radio-wrapper {
  color: @text-color;
}
.ant-radio {
  color: @text-color;
}
.ant-radio-wrapper:hover .ant-radio .ant-radio-inner,
.ant-radio:hover .ant-radio-inner,
.ant-radio-focused .ant-radio-inner {
  border-color: @primary-color;
}
.ant-radio-checked:after {
  border: 1px solid @primary-color;
}
.ant-radio-inner:after {
  background-color: @primary-color;
}
.ant-radio-checked .ant-radio-inner {
  border-color: @primary-color;
}
.ant-radio-button-wrapper {
  color: @text-color;
}
.ant-radio-button-wrapper a {
  color: @text-color;
}
.ant-radio-button-wrapper:hover,
.ant-radio-button-wrapper-focused {
  color: @primary-color;
}
.ant-radio-button-wrapper-checked {
  border-color: @primary-color;
  color: @primary-color;
  box-shadow: -1px 0 0 0 @primary-color;
}
.ant-radio-button-wrapper-checked::before {
  background-color: @primary-color !important;
}
.ant-radio-button-wrapper-checked:first-child {
  border-color: @primary-color;
}
.ant-radio-button-wrapper-checked:hover {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
  box-shadow: -1px 0 0 0 color(~`colorPalette("@{primary-color}", 5)`);
  color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-radio-button-wrapper-checked:active {
  border-color: color(~`colorPalette("@{primary-color}", 7)`);
  box-shadow: -1px 0 0 0 color(~`colorPalette("@{primary-color}", 7)`);
  color: color(~`colorPalette("@{primary-color}", 7)`);
}
.ant-rate {
  color: @text-color;
}
.ant-select {
  color: @text-color;
}
.ant-select-selection:hover {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-select-focused .ant-select-selection,
.ant-select-selection:focus,
.ant-select-selection:active {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
  box-shadow: 0 0 0 2px fade(@primary-color, 20%);
}
.ant-select-selection__clear:hover {
  color: @text-color-secondary;
}
.ant-select-disabled {
  color: rgba(0, 0, 0, 0.25);
}
.ant-select-disabled .ant-select-selection {
  background: #f5f5f5;
}
.ant-select-disabled .ant-select-selection:hover,
.ant-select-disabled .ant-select-selection:focus,
.ant-select-disabled .ant-select-selection:active {
  border-color: #d9d9d9;
  box-shadow: none;
}
.ant-select-disabled .ant-select-selection--multiple .ant-select-selection__choice {
  background: #f5f5f5;
  color: #aaa;
}
.ant-select-disabled .ant-select-selection__choice__remove {
  color: rgba(0, 0, 0, 0.25);
}
.ant-select-disabled .ant-select-selection__choice__remove:hover {
  color: rgba(0, 0, 0, 0.25);
}
.ant-select-selection__placeholder,
.ant-select-search__field__placeholder {
  color: #bfbfbf;
}
.ant-select-search--inline .ant-select-search__field {
  border-width: 0;
  background: transparent;
  border-radius: 4px;
}
.ant-select-selection--multiple .ant-select-selection__choice {
  color: @text-color;
}
.ant-select-selection--multiple .ant-select-selection__choice__remove {
  color: @text-color-secondary;
}
.ant-select-open .ant-select-selection {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-select-dropdown {
  color: @text-color;
}
.ant-select-dropdown-menu-item-group-title {
  color: @text-color-secondary;
}
.ant-select-dropdown-menu-item {
  color: @text-color;
}
.ant-select-dropdown-menu-item:hover {
  background-color: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-select-dropdown-menu-item-selected,
.ant-select-dropdown-menu-item-selected:hover {
  color: @text-color;
}
.ant-select-dropdown-menu-item-active {
  background-color: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-select-dropdown.ant-select-dropdown--multiple .ant-select-dropdown-menu-item-selected:after,
.ant-select-dropdown.ant-select-dropdown--multiple .ant-select-dropdown-menu-item-selected:hover:after {
  color: @primary-color;
}
.ant-slider {
  color: @text-color;
}
.ant-slider-track {
  background-color: color(~`colorPalette("@{primary-color}", 3)`);
}
.ant-slider-handle {
  border: solid 2px color(~`colorPalette("@{primary-color}", 3)`);
}
.ant-slider-handle.ant-tooltip-open {
  border-color: @primary-color;
}
.ant-slider:hover .ant-slider-track {
  background-color: color(~`colorPalette("@{primary-color}", 4)`);
}
.ant-slider:hover .ant-slider-handle:not(.ant-tooltip-open) {
  border-color: color(~`colorPalette("@{primary-color}", 4)`);
}
.ant-slider-mark-text {
  color: @text-color-secondary;
}
.ant-slider-mark-text-active {
  color: @text-color;
}
.ant-spin {
  color: @text-color;
  color: @primary-color;
}
.ant-spin-tip {
  color: @text-color-secondary;
}
.ant-spin-dot i {
  background-color: @primary-color;
}
.ant-steps {
  color: @text-color;
}
.ant-steps-item-icon > .ant-steps-icon {
  color: @primary-color;
}
.ant-steps-item-title {
  color: @text-color;
}
.ant-steps-item-description {
  color: @text-color-secondary;
}
.ant-steps-item-wait > .ant-steps-item-content > .ant-steps-item-title {
  color: @text-color-secondary;
}
.ant-steps-item-wait > .ant-steps-item-content > .ant-steps-item-description {
  color: @text-color-secondary;
}
.ant-steps-item-process .ant-steps-item-icon {
  border-color: @primary-color;
}
.ant-steps-item-process .ant-steps-item-icon > .ant-steps-icon {
  color: @primary-color;
}
.ant-steps-item-process .ant-steps-item-icon > .ant-steps-icon .ant-steps-icon-dot {
  background: @primary-color;
}
.ant-steps-item-process > .ant-steps-item-content > .ant-steps-item-title {
  color: @heading-color;
}
.ant-steps-item-process > .ant-steps-item-content > .ant-steps-item-description {
  color: @text-color;
}
.ant-steps-item-process .ant-steps-item-icon {
  background: @primary-color;
}
.ant-steps-item-finish .ant-steps-item-icon {
  border-color: @primary-color;
}
.ant-steps-item-finish .ant-steps-item-icon > .ant-steps-icon {
  color: @primary-color;
}
.ant-steps-item-finish .ant-steps-item-icon > .ant-steps-icon .ant-steps-icon-dot {
  background: @primary-color;
}
.ant-steps-item-finish > .ant-steps-item-content > .ant-steps-item-title {
  color: @text-color;
}
.ant-steps-item-finish > .ant-steps-item-content > .ant-steps-item-title:after {
  background-color: @primary-color;
}
.ant-steps-item-finish > .ant-steps-item-content > .ant-steps-item-description {
  color: @text-color-secondary;
}
.ant-steps-item-finish > .ant-steps-item-tail:after {
  background-color: @primary-color;
}
.ant-steps-item-custom.ant-steps-item-process .ant-steps-item-icon > .ant-steps-icon {
  color: @primary-color;
}
.ant-steps-small .ant-steps-item-description {
  color: @text-color-secondary;
}
.ant-switch {
  color: @text-color;
}
.ant-switch-loading:before {
  color: @text-color;
}
.ant-switch-checked.ant-switch-loading:before {
  color: @primary-color;
}
.ant-switch-checked {
  background-color: @primary-color;
}
.ant-table {
  color: @text-color;
}
.ant-table-thead > tr > th {
  color: @heading-color;
}
.ant-table-thead > tr > th .anticon-filter,
.ant-table-thead > tr > th .ant-table-filter-icon {
  color: @text-color-secondary;
}
.ant-table-thead > tr > th .anticon-filter:hover,
.ant-table-thead > tr > th .ant-table-filter-icon:hover {
  color: @text-color;
}
.ant-table-thead > tr > th .ant-table-filter-selected.anticon-filter {
  color: @primary-color;
}
.ant-table-column-sorter {
  color: @text-color-secondary;
}
.ant-table-column-sorter-up:hover .anticon,
.ant-table-column-sorter-down:hover .anticon {
  color: color(~`colorPalette("@{primary-color}", 4)`);
}
.ant-table-column-sorter-up.on .anticon-caret-up,
.ant-table-column-sorter-down.on .anticon-caret-up,
.ant-table-column-sorter-up.on .anticon-caret-down,
.ant-table-column-sorter-down.on .anticon-caret-down {
  color: @primary-color;
}
.ant-table-placeholder {
  color: @text-color-secondary;
}
.ant-table-filter-dropdown .ant-dropdown-menu .ant-dropdown-submenu-contain-selected .ant-dropdown-menu-submenu-title:after {
  color: @primary-color;
}
.ant-table-filter-dropdown-link {
  color: @primary-color;
}
.ant-table-filter-dropdown-link:hover {
  color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-table-filter-dropdown-link:active {
  color: color(~`colorPalette("@{primary-color}", 7)`);
}
.ant-table-selection .anticon-down {
  color: @text-color-secondary;
}
.ant-table-selection-menu .ant-action-down {
  color: @text-color-secondary;
}
.ant-tabs.ant-tabs-card > .ant-tabs-bar .ant-tabs-tab-active {
  color: @primary-color;
}
.ant-tabs.ant-tabs-card > .ant-tabs-bar .ant-tabs-tab .anticon-close {
  color: @text-color-secondary;
}
.ant-tabs.ant-tabs-card > .ant-tabs-bar .ant-tabs-tab .anticon-close:hover {
  color: @heading-color;
}
.ant-tabs-extra-content .ant-tabs-new-tab {
  color: @text-color;
}
.ant-tabs-extra-content .ant-tabs-new-tab:hover {
  color: @primary-color;
  border-color: @primary-color;
}
.ant-tabs.ant-tabs-card.ant-tabs-bottom > .ant-tabs-bar .ant-tabs-tab-active {
  color: @primary-color;
}
.ant-tabs {
  color: @text-color;
}
.ant-tabs-ink-bar {
  background-color: @primary-color;
}
.ant-tabs-tab-prev,
.ant-tabs-tab-next {
  color: @text-color-secondary;
}
.ant-tabs-tab-prev:hover,
.ant-tabs-tab-next:hover {
  color: @text-color;
}
.ant-tabs-nav .ant-tabs-tab:hover {
  color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-tabs-nav .ant-tabs-tab:active {
  color: color(~`colorPalette("@{primary-color}", 7)`);
}
.ant-tabs-nav .ant-tabs-tab-active {
  color: @primary-color;
}
.ant-tag {
  color: @text-color;
}
.ant-tag,
.ant-tag a,
.ant-tag a:hover {
  color: @text-color;
}
.ant-tag .anticon-cross {
  color: @text-color-secondary;
}
.ant-tag .anticon-cross:hover {
  color: @heading-color;
}
.ant-tag-checkable:not(.ant-tag-checkable-checked):hover {
  color: @primary-color;
}
.ant-tag-checkable-checked {
  background-color: @primary-color;
}
.ant-tag-checkable:active {
  background-color: color(~`colorPalette("@{primary-color}", 7)`);
}
.ant-tag-pink {
  color: @text-color-secondary;
  background: color(~`colorPalette("@{text-color-secondary}", 1)`);
  border-color: color(~`colorPalette("@{text-color-secondary}", 3)`);
}
.ant-tag-pink-inverse {
  background: @text-color-secondary;
  border-color: @text-color-secondary;
  color: #fff;
}
.ant-tag-magenta {
  color: @text-color-secondary;
  background: color(~`colorPalette("@{text-color-secondary}", 1)`);
  border-color: color(~`colorPalette("@{text-color-secondary}", 3)`);
}
.ant-tag-magenta-inverse {
  background: @text-color-secondary;
  border-color: @text-color-secondary;
}
.ant-time-picker-panel {
  color: @text-color;
}

.ant-time-picker-panel-clear-btn:hover:after {
  color: @text-color-secondary;
}
.ant-time-picker-panel-select li:hover {
  background: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-time-picker {
  color: @text-color;
}
.ant-time-picker-input {
  color: @text-color;
}
.ant-time-picker-input:hover {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-time-picker-input:focus {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
  box-shadow: 0 0 0 2px rgba(0, 55, 91, 0.2);
}
.ant-timeline {
  color: @text-color;
}
.ant-timeline-item-head-blue {
  border-color: @primary-color;
  color: @primary-color;
}
.ant-tooltip {
  color: @text-color;
}
.ant-transfer {
  color: @text-color;
}
.ant-transfer-list-search-action .anticon:hover {
  color: @text-color-secondary;
}
.ant-transfer-list-header {
  color: @text-color;
}
.ant-transfer-list-content-item:not(.ant-transfer-list-content-item-disabled):hover {
  background-color: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-select-tree-checkbox {
  color: @text-color;
}
.ant-select-tree-checkbox-wrapper:hover .ant-select-tree-checkbox-inner,
.ant-select-tree-checkbox:hover .ant-select-tree-checkbox-inner,
.ant-select-tree-checkbox-input:focus + .ant-select-tree-checkbox-inner {
  border-color: @primary-color;
}
.ant-select-tree-checkbox-checked:after {
  border: 1px solid @primary-color;
}
.ant-select-tree-checkbox-checked .ant-select-tree-checkbox-inner,
.ant-select-tree-checkbox-indeterminate .ant-select-tree-checkbox-inner {
  background-color: @primary-color;
  border-color: @primary-color;
}
.ant-select-tree-checkbox-wrapper {
  color: @text-color;
}
.ant-select-tree-checkbox-group {
  color: @text-color;
}
.ant-select-tree {
  color: @text-color;
}
.ant-select-tree li .ant-select-tree-node-content-wrapper {
  border-radius: 2px;
  color: @text-color;
}
.ant-select-tree li .ant-select-tree-node-content-wrapper:hover {
  background-color: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-select-tree li .ant-select-tree-node-content-wrapper.ant-select-tree-node-selected {
  background-color: color(~`colorPalette("@{primary-color}", 2)`);
}
.ant-select-tree li span.ant-select-tree-icon_loading:after {
  color: @primary-color;
}
.ant-select-tree-dropdown {
  color: @text-color;
}
.ant-tree-checkbox {
  color: @text-color;
}
.ant-tree-checkbox-wrapper:hover .ant-tree-checkbox-inner,
.ant-tree-checkbox:hover .ant-tree-checkbox-inner,
.ant-tree-checkbox-input:focus + .ant-tree-checkbox-inner {
  border-color: @primary-color;
}
.ant-tree-checkbox-checked:after {
  border: 1px solid @primary-color;
}
.ant-tree-checkbox-checked .ant-tree-checkbox-inner,
.ant-tree-checkbox-indeterminate .ant-tree-checkbox-inner {
  background-color: @primary-color;
  border-color: @primary-color;
}
.ant-tree-checkbox-wrapper {
  color: @text-color;
}
.ant-tree-checkbox-group {
  color: @text-color;
}
.ant-tree {
  color: @text-color;
}
.ant-tree li.drag-over > span[draggable] {
  background-color: @primary-color;
}
.ant-tree li.drag-over-gap-top > span[draggable] {
  border-top-color: @primary-color;
}
.ant-tree li.drag-over-gap-bottom > span[draggable] {
  border-bottom-color: @primary-color;
}
.ant-tree li .ant-tree-node-content-wrapper {
  color: @text-color;
}
.ant-tree li .ant-tree-node-content-wrapper:hover {
  background-color: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-tree li .ant-tree-node-content-wrapper.ant-tree-node-selected {
  background-color: color(~`colorPalette("@{primary-color}", 2)`);
}
.ant-tree li span.ant-tree-icon_loading:after {
  color: @primary-color;
}
.ant-tree.ant-tree-show-line li span.ant-tree-switcher {
  color: @text-color-secondary;
}
.ant-upload {
  color: @text-color;
}
.ant-upload.ant-upload-select-picture-card:hover {
  border-color: @primary-color;
}
.ant-upload.ant-upload-drag.ant-upload-drag-hover:not(.ant-upload-disabled) {
  border: 2px dashed color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-upload.ant-upload-drag:not(.ant-upload-disabled):hover {
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-upload.ant-upload-drag p.ant-upload-drag-icon .anticon {
  color: color(~`colorPalette("@{primary-color}", 5)`);
}
.ant-upload.ant-upload-drag p.ant-upload-text {
  color: @heading-color;
}
.ant-upload.ant-upload-drag p.ant-upload-hint {
  color: @text-color-secondary;
}
.ant-upload.ant-upload-drag .anticon-plus:hover {
  color: @text-color-secondary;
}
.ant-upload.ant-upload-drag:hover .anticon-plus {
  color: @text-color-secondary;
}
.ant-upload-list {
  color: @text-color;
}
.ant-upload-list-item-info .anticon-loading,
.ant-upload-list-item-info .anticon-paper-clip {
  color: @text-color-secondary;
}
.ant-upload-list-item .anticon-cross {
  color: @text-color-secondary;
}
.ant-upload-list-item .anticon-cross:hover {
  color: @text-color;
}
.ant-upload-list-item:hover .ant-upload-list-item-info {
  background-color: color(~`colorPalette("@{primary-color}", 1)`);
}
.ant-upload-list-picture .ant-upload-list-item-thumbnail.anticon:before,
.ant-upload-list-picture-card .ant-upload-list-item-thumbnail.anticon:before {
  color: @text-color-secondary;
}
.ant-upload-list-picture-card .ant-upload-list-item-uploading-text {
  color: @text-color-secondary;
}
.dashboard {
  color: @heading-color;
}
.secondary {
  color: @secondary-color;
}
.logo {
  color: @heading-color;
}
.secondary-color {
  color: @secondary-color;
}
.loader:before{
  background-color: @primary-color;
}

/*custom css*/
.ant-checkbox-indeterminate .ant-checkbox-inner:after {
  height: 3px;
  background-color: #ffffff;
}
.fe-btn-ws.ant-btn:hover {
  background-color: #ffffff;
}
.ant-table-tbody > tr.ant-table-row-selected td {
  background: #CCE0E9 !important;
}
.ant-table-thead > tr.ant-table-row-hover > td,
.ant-table-tbody > tr.ant-table-row-hover > td,
.ant-table-thead > tr:hover > td,
.ant-table-tbody > tr:hover > td,
.ant-table-thead > tr > th {
  background-color: #eef6ff;
  background: #eef6ff;
  color: @heading-color;
}

.ant-radio-group-solid .ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled) {
  background: @primary-color;
  border-color: @primary-color;
  box-shadow: -1px 0 0 0 @primary-color
}
.ant-radio-group-solid .ant-radio-button-wrapper-checked:not(.ant-radio-button-wrapper-disabled):hover {
  background: color(~`colorPalette("@{primary-color}", 5)`);
  border-color: color(~`colorPalette("@{primary-color}", 5)`);
  box-shadow: -1px 0 0 0 color(~`colorPalette("@{primary-color}", 5)`);
}
